Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 153818 - "Change Method Parameters" refactoring
"Change Method Parameters" refactoring
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: -- Other --
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Vladimir Voskresensky
issues@cnd
:
Depends on:
Blocks: 136314
  Show dependency treegraph
 
Reported: 2008-11-25 00:14 UTC by Vladimir Voskresensky
Modified: 2009-03-19 20:38 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Voskresensky 2008-11-25 00:14:23 UTC
We'd like to provide "Change Method Parameters" refactoring
Comment 1 Vladimir Voskresensky 2008-11-25 00:16:27 UTC
Code Model should provide information about parameters' list, not just collection of CsmParameter objects, because we
lack the K&R style + don't know offsetable information of parameter list in case of "zero" parameters function 
Comment 2 Quality Engineering 2008-12-09 18:37:24 UTC
Integrated into 'main-golden', will be available in build *200812091520* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/b39a1b8fc0e1
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: UI+Plugin for IZ#153818: 'Change Method Parameters' refactoring
Comment 3 Quality Engineering 2008-12-18 06:38:41 UTC
Integrated into 'main-golden', will be available in build *200812180201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/16f18ad91aa4
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: fixing IZ#153818: 'Change Method Parameters' refactoring
Comment 4 Vladimir Voskresensky 2009-03-18 13:14:25 UTC
support removing of unused function parameters

http://hg.netbeans.org/cnd-main?cmd=changeset;node=5c1c0148655e
Comment 5 Quality Engineering 2009-03-18 22:39:16 UTC
Integrated into 'main-golden', will be available in build *200903181604* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/bfa27b620dde
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: IZ#153818: Change Method Parameters refactoring
Comment 6 Quality Engineering 2009-03-19 20:38:06 UTC
Integrated into 'main-golden', will be available in build *200903191401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/5c1c0148655e
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: IZ#153818: "Change Method Parameters" refactoring
- support removing of unused function parameters


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo